Skip to main content
GET
/
notification
cURL
curl --request GET \
  --url https://cloud.kaneo.app/api/notification \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "userId": "<string>",
    "title": "<string>",
    "content": "<string>",
    "type": "info",
    "createdAt": "<unknown>",
    "isRead": true,
    "resourceId": "<string>",
    "resourceType": "task"
  }
]

Authorizations

Authorization
string
header
required

API Key authentication

Response

200 - application/json

List of notifications

id
string
required
userId
string
required
title
string
required
content
string | null
required
type
enum<string>
required
Available options:
info,
task_created,
workspace_created,
task_status_changed,
task_assignee_changed,
time_entry_created
createdAt
any
required
isRead
boolean
resourceId
string
resourceType
enum<string>
Available options:
task,
workspace